#
# spec file for package python-pyglet
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define oname   pyglet

Name:           python-pyglet
Version:        1.2.4
Release:        1.1
Summary:        Cross-platform windowing and multimedia library
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://bitbucket.org/pyglet/pyglet
Source0:        http://pypi.python.org/packages/source/p/%{oname}/%{oname}-%{version}.tar.gz
Source1:        %{name}-rpmlintrc
%if 0%{?suse_version}
BuildRequires:  fdupes
%endif
BuildRequires:  alsa-devel
BuildRequires:  dos2unix
BuildRequires:  fontconfig-devel
BuildRequires:  freetype2-devel
BuildRequires:  gtk2-devel
BuildRequires:  openal-soft-devel
BuildRequires:  python-devel
BuildRequires:  python-imaging
BuildRequires:  python-setuptools
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(x11)
Requires:       alsa-devel
Requires:       fontconfig-devel
Requires:       freetype2-devel
Requires:       gtk2-devel
Requires:       openal-soft-devel
Requires:       python-imaging
Requires:       pkgconfig(gl)
Requires:       pkgconfig(glu)
Requires:       pkgconfig(x11)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
pyglet provides an object-oriented programming
interface for developing games and other visually-rich applications
for Windows, Mac OS X and Linux.

%prep
%setup -q -n %{oname}-%{version}

# Convert to unix line end
find -name "*.py" -exec dos2unix "{}" "+"

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%if 0%{?suse_version}
    %fdupes -s %{buildroot}%{_prefix}
%endif

%files
%defattr(-,root,root,-)
%doc CHANGELOG README LICENSE NOTICE RELEASE_NOTES examples
%{python_sitelib}/%{oname}
%{python_sitelib}/%{oname}-%{version}-py%{py_ver}.egg-info

%changelog
* Thu Sep  3 2015 nemysis@openSUSE.org
- Update to 1.2.4, announce message:
  Bugfixes:
  - X11: Fix ContextException due to negative return value (#51)
  - X11: Fix segmentation fault in GdkPixBuf (#50)
  - OpenAL: Fix incompatibility with Python 3 (#57)
* Fri Aug 21 2015 nemysis@openSUSE.org
- Update to 1.2.3
  Many bugfixes, please look
  /usr/share/doc/packages/python-pyglet/CHANGELOG and RELEASE_NOTES
- Change URL
- Use %%{oname} instead of pyglet
- Add --rpmlintrc, for false positive needed scripts in datadir
  and documentation, not a devel package
- Add BuildRequires for fdupes and use %%fdupes macro to reduce size of the package
- Add BuildRequires for dos2unix and python-setuptools
- Change Documentation
* Fri May 10 2013 toddrme2178@gmail.com
- Build doc
- Add dependencies
* Fri May 10 2013 toddrme2178@gmail.com
- Initial version
